$OpenBSD: patch-configure,v 1.4 2008/11/13 17:07:27 ajacoutot Exp $
--- configure.orig	Mon Apr  7 06:31:31 2008
+++ configure	Thu Nov 13 17:42:24 2008
@@ -2645,7 +2645,7 @@ fi
 
 if test "$pkgdatadir" = "undef"
 then
-  pkgdatadir=\${libdir}/aspell-0.60
+  pkgdatadir=\${libdir}/aspell
 fi
 
 
@@ -17899,100 +17899,7 @@ _ACEOF
   fi
 
 
-# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
-#                                                                 #
-#                   Posix lock function tests                     #
-#                                                                 #
-# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
 
-
-
-{ echo "$as_me:$LINENO: checking if posix mutexes are supported" >&5
-echo $ECHO_N "checking if posix mutexes are supported... $ECHO_C" >&6; }
-
-ORIG_LIBS="$LIBS"
-
-for l in '' '-lpthread'
-do
-  if test -z "$use_posix_mutex"
-  then
-    LIBS="$l $ORIG_LIBS"
-    cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <pthread.h>
-int
-main ()
-{
-pthread_mutex_t lck;
-       pthread_mutex_init(&lck, 0);
-       pthread_mutex_lock(&lck);
-       pthread_mutex_unlock(&lck);
-       pthread_mutex_destroy(&lck);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_cxx_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  PTHREAD_LIB=$l
-       use_posix_mutex=1
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-  fi
-done
-
-LIBS="$ORIG_LIBS"
-
-if test "$use_posix_mutex"
-then
-  if test -z "$PTHREAD_LIB"
-  then
-    { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-  else
-    { echo "$as_me:$LINENO: result: yes (in $PTHREAD_LIB)" >&5
-echo "${ECHO_T}yes (in $PTHREAD_LIB)" >&6; }
-  fi
-
-cat >>confdefs.h <<\_ACEOF
-#define USE_POSIX_MUTEX 1
-_ACEOF
-
-else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-  { echo "$as_me:$LINENO: WARNING: Unable to find locking mechanism, Aspell will not be thread safe." >&5
-echo "$as_me: WARNING: Unable to find locking mechanism, Aspell will not be thread safe." >&2;}
-fi
-
-
 # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
 #                                                                 #
 #                     Terminal function tests                     #
@@ -20127,10 +20034,10 @@ XGETTEXT!$XGETTEXT$ac_delim
 XGETTEXT_015!$XGETTEXT_015$ac_delim
 MSGMERGE!$MSGMERGE$ac_delim
 INTL_MACOSX_LIBS!$INTL_MACOSX_LIBS$ac_delim
-LIBICONV!$LIBICONV$ac_delim
+LIBICONV!$LTLIBICONV$ac_delim
 LTLIBICONV!$LTLIBICONV$ac_delim
-INTLLIBS!$INTLLIBS$ac_delim
-LIBINTL!$LIBINTL$ac_delim
+INTLLIBS!$LTLIBINTL$ac_delim
+LIBINTL!$LTLIBINTL$ac_delim
 LTLIBINTL!$LTLIBINTL$ac_delim
 POSUB!$POSUB$ac_delim
 PTHREAD_LIB!$PTHREAD_LIB$ac_delim
